linux-raspi 5.8.0-1012.15 source package in Ubuntu

Changelog

linux-raspi (5.8.0-1012.15) groovy; urgency=medium

  * groovy/linux-raspi: 5.8.0-1012.15 -proposed tracker (LP: #1909995)

  * rpi3b+ wifi doesn't get used if ethernet disconnected (LP: #1890487)
    - net: lan78xx: Ack pending PHY ints when resetting

  * groovy/linux-raspi: Upstream raspberrypi patchset 2020-11-05 (LP: #1903541)
    - brcmfmac: Increase power saving delay to 2s
    - overlays: Update i2c0 overlay to disable the i2c0mux.
    - dt: Remove duplicate assignment for i2c0 pinctrl config
    - overlays: Add option for composite to vc4-kms-v3d-pi4.
    - overlays: minor typo in instructions
    - overlays: Regenerate upstream-pi4 overlay
    - overlays: Add parameters to adafruit18, sainsmart18
    - rpivid_h265: Fix width/height typo
    - overlays: Add extra CMA sizes (up to 512M)
    - overlays: Add note to BCM2711 overlays
    - configs: Remove I2C_BRCMSTB from the kernel
    - net: bcmgenet: Reset RBUF on first open
    - ASoC: cs42xx8: Only define cs42xx8_of_match once
    - configs: Regenerate the defconfigs
    - staging: bcm2835-codec: Use a define the completion timeout
    - staging: bcm2835-codec: Correct buffer number change on start streaming
    - USB: gadget: f_hid: avoid crashes and log spam
    - Update hy28b-overlay.dts
    - overlays: Update display GPIO declarations
    - configs: Add CONFIG_RTC_DRV_SD3078=m
    - overlays: Add sd3078 to the i2c-rtc overlay
    - configs: Restore SND_PCM_OSS=m
    - dwc_otg: initialise sched_frame for periodic QHs that were parked
    - arm64: configs: Enable Unicam support
    - arm64: configs: Enable V4L2 test module support
    - staging: bcm2835-camera: Replace deprecated V4L2_PIX_FMT_BGR32
    - staging: bcm2835-codec: Replace deprecated V4L2_PIX_FMT_BGR32
    - ARM: bcm2711-rpi.dts: Unlock DMA channels 9 & 10
    - gpio: Add gpio-fsm driver
    - configs: Add CONFIG_GPIO_FSM=m
    - overlays: Add fsm-demo overlay
    - overlays: Add ghost-amp overlay
    - Fixes a problem when module probes before i2c module is available
    - [Config] raspi: updateconfigs after update to rpi-5.8.y 2020-11-05

  * Raspberry Pi 400 Kernel Panic (LP: #1907432)
    - SAUCE: Revert "mailbox: avoid timer start from callback"

  [ Ubuntu: 5.8.0-37.42 ]

  * groovy/linux: 5.8.0-37.42 -proposed tracker (LP: #1910009)
  * overlay: permission regression in 5.4.0-51.56 due to patches related to
    CVE-2020-16120 (LP: #1900141)
    - ovl: do not fail because of O_NOATIME

  [ Ubuntu: 5.8.0-36.40 ]

  * debian/scripts/file-downloader does not handle positive failures correctly
    (LP: #1878897)
    - [Packaging] file-downloader not handling positive failures correctly

  [ Ubuntu: 5.8.0-35.39 ]

  * Packaging resync (LP: #1786013)
    - update dkms package versions
  * CVE-2021-1052 // CVE-2021-1053
    - [Packaging] NVIDIA -- Add the NVIDIA 460 driver

 -- Ian May <email address hidden>  Fri, 08 Jan 2021 15:28:40 -0600

Upload details

Uploaded by:
Ian on 2021-01-08
Uploaded to:
Groovy
Original maintainer:
Ubuntu Kernel Team
Architectures:
armhf arm64
Section:
devel
Urgency:
Medium Urgency

See full publishing history Publishing

Series Pocket Published Component Section

Builds

Groovy: [FULLYBUILT] arm64 [FULLYBUILT] armhf

Downloads

File Size SHA-256 Checksum
linux-raspi_5.8.0.orig.tar.gz 170.1 MiB 0657da4f4b0035f6ad60806f5fece4ff2575159f156d5f3fe8301d911e58081b
linux-raspi_5.8.0-1012.15.diff.gz 5.5 MiB 3374a3e3f8107555a766e8a3918e1bd5766d6546d03e4c693c0c50273acc13c2
linux-raspi_5.8.0-1012.15.dsc 4.7 KiB 43fe785a31565ac611d316b8412f1bd134f014a57ac4584d9d91eb7b2da004d5

Available diffs

View changes file

Binary packages built by this source

linux-buildinfo-5.8.0-1012-raspi: No summary available for linux-buildinfo-5.8.0-1012-raspi in ubuntu groovy.

No description available for linux-buildinfo-5.8.0-1012-raspi in ubuntu groovy.

linux-buildinfo-5.8.0-1012-raspi-nolpae: No summary available for linux-buildinfo-5.8.0-1012-raspi-nolpae in ubuntu groovy.

No description available for linux-buildinfo-5.8.0-1012-raspi-nolpae in ubuntu groovy.

linux-headers-5.8.0-1012-raspi: No summary available for linux-headers-5.8.0-1012-raspi in ubuntu groovy.

No description available for linux-headers-5.8.0-1012-raspi in ubuntu groovy.

linux-headers-5.8.0-1012-raspi-nolpae: No summary available for linux-headers-5.8.0-1012-raspi-nolpae in ubuntu groovy.

No description available for linux-headers-5.8.0-1012-raspi-nolpae in ubuntu groovy.

linux-image-5.8.0-1012-raspi: No summary available for linux-image-5.8.0-1012-raspi in ubuntu groovy.

No description available for linux-image-5.8.0-1012-raspi in ubuntu groovy.

linux-image-5.8.0-1012-raspi-dbgsym: No summary available for linux-image-5.8.0-1012-raspi-dbgsym in ubuntu groovy.

No description available for linux-image-5.8.0-1012-raspi-dbgsym in ubuntu groovy.

linux-image-5.8.0-1012-raspi-nolpae: No summary available for linux-image-5.8.0-1012-raspi-nolpae in ubuntu groovy.

No description available for linux-image-5.8.0-1012-raspi-nolpae in ubuntu groovy.

linux-image-5.8.0-1012-raspi-nolpae-dbgsym: No summary available for linux-image-5.8.0-1012-raspi-nolpae-dbgsym in ubuntu groovy.

No description available for linux-image-5.8.0-1012-raspi-nolpae-dbgsym in ubuntu groovy.

linux-modules-5.8.0-1012-raspi: No summary available for linux-modules-5.8.0-1012-raspi in ubuntu groovy.

No description available for linux-modules-5.8.0-1012-raspi in ubuntu groovy.

linux-modules-5.8.0-1012-raspi-nolpae: No summary available for linux-modules-5.8.0-1012-raspi-nolpae in ubuntu groovy.

No description available for linux-modules-5.8.0-1012-raspi-nolpae in ubuntu groovy.

linux-raspi-headers-5.8.0-1012: No summary available for linux-raspi-headers-5.8.0-1012 in ubuntu groovy.

No description available for linux-raspi-headers-5.8.0-1012 in ubuntu groovy.

linux-raspi-tools-5.8.0-1012: No summary available for linux-raspi-tools-5.8.0-1012 in ubuntu groovy.

No description available for linux-raspi-tools-5.8.0-1012 in ubuntu groovy.

linux-tools-5.8.0-1012-raspi: No summary available for linux-tools-5.8.0-1012-raspi in ubuntu groovy.

No description available for linux-tools-5.8.0-1012-raspi in ubuntu groovy.

linux-tools-5.8.0-1012-raspi-nolpae: No summary available for linux-tools-5.8.0-1012-raspi-nolpae in ubuntu groovy.

No description available for linux-tools-5.8.0-1012-raspi-nolpae in ubuntu groovy.